org.apache.hadoop.mapreduce.v2.app.webapp.dao

## Class ReduceTaskAttemptInfo

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.app.webapp.dao.TaskAttemptInfo
  - - org.apache.hadoop.mapreduce.v2.app.webapp.dao.ReduceTaskAttemptInfo

-     public class ReduceTaskAttemptInfo
      extends TaskAttemptInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `elapsedMergeTime`
    `protected long` | `elapsedReduceTime`
    `protected long` | `elapsedShuffleTime`
    `protected long` | `mergeFinishTime`
    `protected long` | `shuffleFinishTime`

    - ### Fields inherited from class org.apache.hadoop.mapreduce.v2.app.webapp.dao.TaskAttemptInfo

      `assignedContainer, assignedContainerId, diagnostics, elapsedTime, finishTime, id, nodeHttpAddress, progress, rack, startTime, state, status, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReduceTaskAttemptInfo()`
    `ReduceTaskAttemptInfo(TaskAttempt ta)`
    `ReduceTaskAttemptInfo(TaskAttempt ta, Boolean isRunning)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getElapsedMergeTime()`
    `long` | `getElapsedReduceTime()`
    `long` | `getElapsedShuffleTime()`
    `long` | `getMergeFinishTime()`
    `long` | `getShuffleFinishTime()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.webapp.dao.TaskAttemptInfo

      `getAssignedContainerId, getAssignedContainerIdStr, getElapsedTime, getFinishTime, getId, getNode, getNote, getProgress, getRack, getStartTime, getState, getStatus, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### shuffleFinishTime

          protected long shuffleFinishTime

    - #### mergeFinishTime

          protected long mergeFinishTime

    - #### elapsedShuffleTime

          protected long elapsedShuffleTime

    - #### elapsedMergeTime

          protected long elapsedMergeTime

    - #### elapsedReduceTime

          protected long elapsedReduceTime

  - ### Constructor Detail

    - #### ReduceTaskAttemptInfo

          public ReduceTaskAttemptInfo()

    - #### ReduceTaskAttemptInfo

          public ReduceTaskAttemptInfo(TaskAttempt ta)

    - #### ReduceTaskAttemptInfo

          public ReduceTaskAttemptInfo(TaskAttempt ta,
                                       Boolean isRunning)

  - ### Method Detail

    - #### getShuffleFinishTime

          public long getShuffleFinishTime()

    - #### getMergeFinishTime

          public long getMergeFinishTime()

    - #### getElapsedShuffleTime

          public long getElapsedShuffleTime()

    - #### getElapsedMergeTime

          public long getElapsedMergeTime()

    - #### getElapsedReduceTime

          public long getElapsedReduceTime()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.